# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Summary:	Framework for parsing POD documentation
Name:		perl-Pod-Simple
Epoch:		1
Version:	3.20
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Pod-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/Pod-Simple-%{version}.tar.gz
Patch0:		Pod-Simple-3.19-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(integer)
BuildRequires:	perl(overload)
BuildRequires:	perl(Pod::Escapes) >= 1.04
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
# Wants version 1.25 but 1.23 works just fine
BuildRequires:	perl(Test) >= 1.23
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::Wrap) >= 98.112902
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old
documentation") markup language that is typically used for writing
documentation for Perl and for Perl modules. The Pod format is explained in the
perlpod man page; the most common formatter is called "perldoc".

Pod formatters can use Pod::Simple to parse Pod documents to produce renderings
of them in plain ASCII, in HTML, or in any number of other formats. Typically,
such formatters will be subclasses of Pod::Simple, and so they will inherit its
methods, like parse_file

%prep
%setup -q -n Pod-Simple-%{version}

# Recode docs as UTF-8
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%dir %{perl_vendorlib}/Pod/
%dir %{perl_vendorlib}/Pod/Simple/
%{perl_vendorlib}/Pod/Simple.pm
%{perl_vendorlib}/Pod/Simple/*.pm
%doc %{perl_vendorlib}/Pod/Simple.pod
%doc %{perl_vendorlib}/Pod/Simple/Subclassing.pod
%{_mandir}/man3/Pod::Simple.3pm*
%{_mandir}/man3/Pod::Simple::*

%changelog
* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> 1:3.20-1
- Update to 3.20
  - Removed use of 'done_testing' in t/xhtml15.t, which was added in v3.19
  - Fixed quoting of links in a regular expression Pod::Simple::Text
  - Fix test failure on case-insensitive, non-case-preserving file systems (VMS
    I'm looking at *you*)
  - Pod::Simple::HTML no longer emits "href='#___top'" if a TOC (index) is not
    output
  - Fixed links in the TOC of XHTML output to use IDs derived from encoded
    text, rather than raw Pod, so that it will link to the ID actually
    generated for the section (CPAN RT#72544)
  - PullParser now throws an exception on an attempt to set a source more than
    once, which is  Necessary because data from the previous source will be
    cached, so the new source would be ignored anyway; create a new PullParser,
    instead (CPAN RT#74265)
- Drop patch for building with old Test::More versions, no longer needed
- Add buildreqs for Perl core modules that might be dual-lived

* Wed Aug 24 2011 Paul Howarth <paul@city-fan.org> 1:3.19-1
- Update to 3.19
  - Fixed occasional test failure when tests are run in parallel
    (HARNESS_OPTIONS=j6:c)
  - Added "pod_handler" option, a callback that can be used to inspect the
    content on a "=pod" line
  - Added tests for proper line-ending parsing from the previous release
  - Added the "parse_empty_lists" option (disabled by default); when enabled,
    Pod::Simple will recognize empty lists (that is, a blocks with '=over' and
    '=back' but nothing in between)
  - Added the "whiteline_handler" attribute, much like "code_handler",
    "cut_handler", and "pod_handler", except it's triggered on lines that
    contain only whitespace characters
  - Added "raw" attribute to L<> treelet that contains the L<>'s raw contents
  - Pod directives autoclosed by Pod::Simple are now denoted as such by the new
    "fake_closer" attribute
  - Fixed incompatibility with Pod::Simple::HTMLBatch in Pod::Simple::XHTML
- Use a patch rather than scripted iconv to fix character encoding
- BR: perl(HTML::Entities)
- Add patch to support building with Test::More < 0.88 (CPAN RT#70456)

* Sun Jul 17 2011 Paul Howarth <paul@city-fan.org> 1:3.18-2
- Rebuild for perl 5.14.1 in Rawhide

* Sun Jul 17 2011 Paul Howarth <paul@city-fan.org> 1:3.18-1
- Update to 3.18
  - Pod::Simple now properly parses Pod files using Mac OS Classic line-endings
    (\r)
  - Fixed test failure in t/search50.t when the test finds a .pod but the
    module is in a .pm
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun Jul 10 2011 Paul Howarth <paul@city-fan.org> 1:3.17-1
- Update to 3.17
  - Documented tertiary methods
  - Added "backlink" option to Pod::Simple::XHTML
  - Typos fixed in Pod::Simple::HTMLBatch
  - Fixed quoting of value returned by a "strip_verbatim_indent()" code
    reference so that regex meta characters are properly escaped
  - Added "anchor_items" option to Pod::Simple::XHMTL; this allows text items
    (which are output as <dt> elements) to have IDs that can be referenced in
    the "#" part of a URL
  - Added "recurse" option to Pod::Simple::Search, enabled by default; disable
    it to turn off recursion into subdirectories
  - Added documentation to clarify the behavior of the "content_seen" method
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Nobody else likes macros for commands

* Mon Mar 14 2011 Paul Howarth <paul@city-fan.org> 1:3.16-1
- Update to 3.16
  - Fixed invalid HTML generated for nested lists by Pod::Simple::XHTML
  - Replaced the invalid "<nobr>" tag - created for "S<>" - with
    '<span style="white-space: nowrap;">'
  - Fixed some nerbles in our own Pod
  - Improved the "Minimal code" example in Pod::Simple::HTML (CPAN RT#65428)
  - Added the html_charset() and html_encode_chars() attributes to
    Pod::Simple::XHTML (CPAN RT#29587)
  - Added "Minimal code" example to the Pod::Simple::XHTML documentation
  - Fixed mis-spelling of the "=encoding" markup in the parser (CPAN RT#24820)

* Fri Nov 12 2010 Paul Howarth <paul@city-fan.org> 1:3.15-1
- Bump epoch to match Fedora package

* Fri Nov 12 2010 Paul Howarth <paul@city-fan.org> 3.15-1
- Update to 3.15
  - Removed "perlpod.pod" and "perlpodspec.pod", which now just live in the
    Perl core
  - Fixed stylesheet names output by HTMLBatch to match the names of the actual
    stylesheet files (broken in 3.09 - CPAN RT#56725)
  - Added missing closing slash to the CSS links in the XHTML output
  - Added parens around bar "qw(...)" in t/xhtml05.t
  - Improved the Pod::Simple::HTML docs
  - Pod::Simple::XHTML now properly encodes entities in URLs in the anchor tag
    (CPAN RT#60249)
  - Pod::Simple::HTML and XHTML now strip whitespace from the end of section
    names that appear as anchor names for headers (in HTML) and IDs (in XHTML);
    such whitespace appeared when "X<>" entities were stripped out but not the
    space between them (CPAN RT#56572)
  - Make test "t/search50.t" always pass on case-insensitive file systems
    rather than just skip VMS

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 3.14-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 3.14-2
- Fix dist tag to work with RHEL6 Beta

* Wed Apr 28 2010 Paul Howarth <paul@city-fan.org> 3.14-1
- Update to 3.14
  - Removed explicit loading of UNIVERSAL
  - Reversed change applied in release 3.09 for CPAN RT#12239 (CPAN RT#55602)

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> 3.13-1
- Update to 3.13 (see ChangeLog for details)

* Thu Dec 10 2009 Paul Howarth <paul@city-fan.org> 3.11-1
- Update to 3.11 (see ChangeLog for details)
- Dist tag for Rawhide no longer needs special-casing

* Fri Nov 12 2009 Paul Howarth <paul@city-fan.org> 3.10-1
- Update to 3.10
  - fix test file line endings (CPAN RT#50922)
  - skip tests on VMS due to lack of filename case preservation (CPAN RT#51184)
  - fix nested definition list format in the XHTML output (CPAN RT#51187)
  - re-add files missing from last two releases
- New upstream maintainer -> new source URL
- Drop redundant manual dependency on perl(Pod::Escapes) >= 1.04

* Tue Oct 27 2009 Paul Howarth <paul@city-fan.org> 3.09-1
- Update to 3.09
  - Many bugfixes including CPAN RT#{43903,40450,49615,37107,12239}
  - See ChangeLog for details
- Mark %%{perl_vendorlib}/Pod/Simple/Subclassing.pod as %%doc
- Own directory %%{perl_vendorlib}/Pod/

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> 3.08-1
- Update to 3.08
  * fix installdirs for Perl versions where Pod::Simple was core
  - (RT#36446, RT#39709)
  * fix encoding handling for code in paragraphs (RT#45829)
- Define RPM macros in global scope

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 3.07-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Thu Jun  5 2007 Paul Howarth <paul@city-fan.org> 3.07-1
- Update to 3.07
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Convert ChangeLog to UTF8
- Buildrequire ExtUtils::MakeMaker and Test::More

* Mon Mar  5 2007 Paul Howarth <paul@city-fan.org> 3.05-1
- Update to 3.05
- Fix argument order for find with -depth
- Fix dist tag for Fedora 7 onwards

* Thu Jan 19 2006 Paul Howarth <paul@city-fan.org> 3.04-1
- Update to 3.04

* Tue Nov 22 2005 Paul Howarth <paul@city-fan.org> 3.03-1
- Update to 3.03
- Simplify distribution-detection (no rpmdb access)
- Use search.cpan.org URLs
- Remove redundant compiler optimization settings, not needed for noarch pkg
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in paths for build-time commands, hardcode them instead
- Mark %%{perl_vendorlib}/Pod/Simple.pod as %%doc

* Thu Jun 23 2005 Paul Howarth <paul@city-fan.org> 3.02-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc
- Exclude POD docs that are part of perl itself, and duplicate POD manpages too

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 3.02-1
- Update to 3.02
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 2.06-1
- Initial build
